AnnotationConstantExpression (Groovy 5.1.0)
Description: declaration: package: org.codehaus.groovy.ast.expr, class: AnnotationConstantExpression

Package org.codehaus.groovy.ast.expr

# Class AnnotationConstantExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.ConstantExpression
org.codehaus.groovy.ast.expr.AnnotationConstantExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class AnnotationConstantExpression extends ConstantExpression
Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.ConstantExpression

  `EMPTY_EXPRESSION, EMPTY_STRING, FALSE, NULL, PRIM_FALSE, PRIM_TRUE, TRUE, VOID`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnnotationConstantExpression(AnnotationNode node)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.ConstantExpression

  `getConstantName, getText, getValue, isEmptyStringExpression, isFalseExpression, isNullExpression, isTrueExpression, setConstantName, transformExpression`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### AnnotationConstantExpression

    public AnnotationConstantExpression(AnnotationNode node)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ConstantExpression`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ConstantExpression`